<section class="appreciation">
  <div class="container py-5">
    <div class="row">
      <div class="col">
        <h1 class="py-2">
          Penghargaan
        </h1>
        <div class="py-2">
          Apresiasi tertinggi yang Satu Peta Jabar raih.
        </div>
      </div>
    </div>
    <app-error-request *ngIf="(error$ | async) && !(loading$ | async)"
                       [errorMessages]="(error$ | async)"
                       (reloadTrigger)="getMapsetAward()"></app-error-request>
    <div class="row mt-3"
         *ngIf="(loading$ | async)">
      <div class="col-md-6 col-lg-4 my-2">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
                                      height: '150px'
                                    }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
      </div>
      <div class="col-md-6 col-lg-4 my-2">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
                                      height: '150px'
                                    }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
      </div>
      <div class="col-md-6 col-lg-4 my-2">
        <ngx-skeleton-loader count="1"
                             [theme]="{ 
                                      height: '150px'
                                    }"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
        <ngx-skeleton-loader count="1"></ngx-skeleton-loader>
      </div>
    </div>
    <div class="row"
         *ngIf="!(error$ | async) && !(loading$ | async)">
      <div class="col-md-6 col-lg-3 py-3"
           *ngFor="let mapsetAward of mapsetAwards; let i = index;">
        <div class="card h-100">
          <div class="card-header p-0">
            <img [src]="apiData + mapsetAward.image"
                 width="100%"
                 height="100%">
          </div>
          <div class="card-body">
            <div class="title my-2">{{ mapsetAward.name }}</div>
            <div class="sub">
              {{ mapsetAward.description }}
            </div>
          </div>
          <div class="card-footer">
            {{ mapsetAward.organizer_name }}
          </div>
        </div>
      </div>
    </div>
  </div>

</section>